curl --request GET \
--url https://prod.truv.com/v1/links/{link_id}/employment/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/links/{link_id}/employment/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/links/{link_id}/employment/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "24d7e80942ce4ad58a93f70ce4115f5c",
"start_date": "2018-01-01",
"company": {
"name": "Facebook Demo",
"address": {
"street": "1 Morgan Ave",
"city": "Los Angeles",
"state": "CA",
"zip": "90210",
"country": "US"
},
"phone": "6503087300",
"ein": "770493581"
},
"income": "70000.00",
"income_unit": "YEARLY",
"pay_rate": "6500.00",
"pay_frequency": "M",
"is_active": false,
"job_title": "PR associate",
"job_type": "F",
"original_hire_date": "2017-06-21",
"end_date": "2023-12-25",
"external_last_updated": "2023-12-25",
"derived_fields": [
"is_active"
],
"missing_data_fields": [
"w2s"
],
"manager_name": "Jenny McDouglas"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}Retrieve an employment
Get the most recent employment data
Authorizations
Client ID
Client Access Key
Path Parameters
Link ID
Response
Employment data
Unique ID
32"24d7e80942ce4ad58a93f70ce4115f5c"
Employee's hire date
"2018-01-01"
Company information
Show child attributes
Show child attributes
Income amount not including commission or bonuses
^-?\d{1,10}\.\d{2}$"70000.00"
The pay interval the income field refers to:
YEARLY- Annual income,MONTHLY- Monthly income,WEEKLY- Weekly income,DAILY- Daily income,HOURLY- Hourly income
YEARLY, MONTHLY, WEEKLY, DAILY, HOURLY, null "YEARLY"
Payment rate per pay cycle
^-?\d{1,10}\.\d{2}$"6500.00"
Pay frequency:
M- Monthly,SM- Semi-Monthly,W- Weekly,BW- Bi-Weekly,A- Annually,SA- Semiannually,C- Commission
M, SM, W, BW, A, SA, C, null "M"
Indicates whether the employment is still active
false
Employee's job title
128"PR associate"
Employee's job type:
F- Full Time,P- Part Time,S- Seasonal,D- Daily (per diem),C- Contract,V- Volunteer
F, P, S, D, C, V, null "F"
Original hire date
"2017-06-21"
Employee's end date
Indicates the date when employment data was last updated on the Payroll Provider side
Array of derived fields
["is_active"]
List of the data fields which are missing in the payroll API response
["w2s"]
Supervisor's name
128"Jenny McDouglas"
Was this page helpful?